Reference
Sftp upload
Get Connection Info
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/sftp-upload/connection-info"{
"hostname": "string",
"port": 0,
"username": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Keys
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/sftp-upload/keys"{
"keys": [
{
"comment": "string",
"createdAt": "2019-08-24T14:15:22Z",
"fingerprint": "string",
"id": "string",
"keyType": "string",
"label": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Add Key
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
label?|
Optional human-readable label for this key
sshPublicKey*string
SSH public key in OpenSSH format (e.g. ssh-ed25519 AAAA... user@host)
Length
1 <= length <= 16384Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/sftp-upload/keys" \ -H "Content-Type: application/json" \ -d '{ "sshPublicKey": "string" }'{
"comment": "string",
"createdAt": "2019-08-24T14:15:22Z",
"fingerprint": "string",
"id": "string",
"keyType": "string",
"label": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Remove Key
Path Parameters
key_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/sftp-upload/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}